首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
frozenway
V2EX  ›  PHP

现在还在用 php7.1 版本,算不算落伍?忽然间好担心跟不上世界潮流

  •  
  •   frozenway · 176 天前 · 3337 次点击
    这是一个创建于 176 天前的主题,其中的信息可能已经有所发展或是发生改变。

    看到 php7.4 都已经发布了,心里有种莫名其妙的焦虑,忽然间好担心跟不上世界潮流

    37 回复  |  直到 2019-09-17 00:59:38 +08:00
    gz911122
        1
    gz911122   176 天前
    别怕

    java12 都出了

    大把的 java 项目还是 java6,7 呢
    linxl
        2
    linxl   176 天前
    我都只敢 7.0.最新, 7.1 还好, 如果新特性没用到基本没啥差别啊
    pota
        3
    pota   176 天前
    据说是尽量不要用单数版本号 目前是 7.2 和 5.6 混用中 新项目都是 7.2 了 5.6 用的人还那么多呢 看实际情况
    uqf0663
        4
    uqf0663   176 天前
    还有项目跑在 5.2 的路过
    EvilCult
        5
    EvilCult   176 天前
    php5.2 的低端人士在深渊里向上仰望大佬.....
    我也不知我何时才能摆脱这个“葫芦娃”年代的项目.....愁苦....
    Mac
        6
    Mac   176 天前
    没事,我还担心 7.4 有什么不兼容呢
    kknd22
        7
    kknd22   176 天前
    5.3 路过
    我就会 php 的启动和关闭,而且还是 xampp 集成环境
    linlance
        8
    linlance   176 天前
    php4 路过。。。php5 我都。。。别说 7 了。。
    licoycn
        9
    licoycn   176 天前
    java12 都出来了 我还在用 java 8
    licoycn
        10
    licoycn   176 天前
    php 我也是用的 7.1 相对比较稳定
    taotaodaddy
        11
    taotaodaddy   176 天前 via Android
    5.6 爬过
    frozenway
        12
    frozenway   176 天前
    @pota "尽量不要用单数版本号 "有这种说法?没听说过
    pota
        13
    pota   176 天前
    @frozenway #12 忘记在哪看到的了 主要是单数版本会上很多新特性
    ben1024
        14
    ben1024   176 天前
    不算,多数项目都是默认支持 7.1 版本的
    walkonthemarz
        15
    walkonthemarz   176 天前 via iPhone
    上周刚把项目换成了 7.3
    auciou2
        16
    auciou2   176 天前
    不会落伍。对于开发者,PHP 7.1 和 PHP 7.3 的语法区别不大。
    但是 PHP 5.X 和 PHP 7.1 的语法区别很大,开发者应该尽快转移到 PHP 7.1 以及之后的版本,否则如果仍然在 PHP 5.X 上做 PHP 开发,将来改为 PHP 7 的工作量是相当大的,我已经改了一个月了。

    PHP 我目前使用的感觉运行速度很快的是 Ubuntu 12,自带 PHP 5.3.10 ,或者 Ubuntu 18,自带 PHP 7.2。
    Ubuntu 12+PHP 5.3.10 仍然是我的主力平台。也用 Ubuntu 18+PHP 7.2,只是所有的程序需要慢慢改成 PHP 7 的语法。
    Ubuntu 占用内存最小的是 Ubuntu 12。Ubuntu 18、Debian 9 也较省内存。Ubuntu 14、16 很占内存。
    misaka19000
        17
    misaka19000   176 天前
    楼主你对面的女生现在还会踩你吗🤔
    way2create
        18
    way2create   176 天前
    上 7 就行了 71 72 73 差别也不是特别大 大部分功能也能兼容 比 5 快很多
    justyy
        19
    justyy   176 天前
    7.1 depreciated, 至少用 7.2
    auciou2
        20
    auciou2   176 天前
    在 XP 系统开发 PHP,比 Win 7/8/10 效率高多了,每天至少节约 15 分钟。XP 支持自定义菜单,但是从 Win 7 之后就不支持了。
    现在最要命的是 XP 系统下无论如何都无法安装 PHP 7.X,能试的方法我都试遍了。只能等待第三方开发者,开发一个 XP 下的 Apache+PHP 7.X。
    Egfly
        21
    Egfly   176 天前
    5.6 和 7.1 路过
    www6688w
        22
    www6688w   175 天前
    我还在用 5.6 和 7.0 呢。。其实 7.0 之后的版本,新特性并不是很多,而且也不是必要的
    tcp
        23
    tcp   175 天前 via Android
    @pota 你说的是 jdk 吧
    h175h32
        24
    h175h32   175 天前
    我还在用 5.4 .
    fengqi
        25
    fengqi   175 天前
    7.0 路过~~
    components
        26
    components   175 天前
    Consistent with PHP official, no longer supports PHP7.0 (@matyhtf)
    https://github.com/swoole/swoole-src/releases/tag/v4.4.0
    有一些底层框架已经不支持 7.0 了

    https://www.php.net/supported-versions.php
    https://www.php.net/eol.php
    components
        27
    components   175 天前
    楼主别怕,github 上 php-src 的 master 分支 现在已经是 8.0.0-dev 版本了
    https://github.com/php/php-src/blob/master/main/php_version.h
    jfcherng
        28
    jfcherng   175 天前
    用著 7.4snapshot 並偶爾向官方提交踩到的 bug...
    anyuhanfei
        29
    anyuhanfei   175 天前
    @pota 我只知道 nginx 单数版本号是开发版,双数版本号是稳定版,从来没听过 php 有这种说法
    hbolive
        30
    hbolive   175 天前
    @anyuhanfei redis 好像也有这个说法?
    wo642436249
        31
    wo642436249   174 天前 via Android
    不,7.0 以上都不算,不过建议切换成 7.2
    Evilk
        32
    Evilk   172 天前
    我司还在用 7.1
    TangMonk
        33
    TangMonk   159 天前
    @auciou2 #20 自定义菜单是什么?托盘吗?
    auciou2
        34
    auciou2   159 天前
    @TangMonk 抱歉,输错了,是自定义开始菜单。

    例如截图 http://st.auiou.com/f/2/242.gif
    我制作了很多自定义开始菜单,能瞬间打开需要的软件、开发中的文件夹。例如我按 Win 键→2→1,可以快速打开某个文件夹。这样的操作在开发期间,每天至少 50-200 次,每次节省 5-15 秒。
    只有 Win XP/2000/98 才有此功能,Win 7 之后就没有了。
    TangMonk
        35
    TangMonk   159 天前
    @auciou2 #34 你可以试试这个 https://github.com/Wox-launcher/Wox
    auciou2
        36
    auciou2   159 天前
    @TangMonk 谢谢!刚花了 20 分钟安装试了一下,不支持 XP 那样的自定义开始菜单。
    phpok
        37
    phpok   126 天前
    @auciou2 看了截图,发现 XP 还是经典啊~说实话,要不是开发商强制停止支持~估计真的很难结束他的使命!
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2515 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 31ms · UTC 10:27 · PVG 18:27 · LAX 02:27 · JFK 05:27
    ♥ Do have faith in what you're doing.